Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package pyinst.finder

## Functions
def | expand
def | getpath
def | identify
def | idtype
def | ispackage
def | pkgfinder
## Variables
| _bpath = None
dictionary | _pcache = {}
| _ppath = None
int | BINARY = 6
int | DATA = 9
int | DIRECTORY = 8
int | GSCRIPT = 2
int | MODULE = 3
int | PACKAGE = 4
int | PBINARY = 5
int | SCRIPT = 1
tuple | sysdir = win32api.GetSystemDirectory()
tuple | sysdir2 = os.path.join(sysdir, '../SYSTEM')
tuple | windir = win32api.GetWindowsDirectory()
int | ZLIB = 7

## Function Documentation

def pyinst.finder.expand | ( |  | plist | ) |

    expand a list of paths (like sys.path) to include all the
        directories that qualify as packages

def pyinst.finder.getpath | ( |  | ) |

    Return the path that Windows will search for dlls.

def pyinst.finder.identify | ( |  | name,
|  |  | xtrapath = `None`
| ) |  |

    Find, and identify the type of NAME, using XTRAPATH as the
       first place to look.

       Return type, name and full path name.
       NAME can be a logical or physical name. However, the logical
       name of a Python module can easily conflict with the physical
       name of something else, so beware.

def pyinst.finder.idtype | ( |  | fullnm | ) |

    Figure out what type of resource FULLNM refers to.

def pyinst.finder.ispackage | ( |  | name | ) |

    Determine if NAME is the name of a package.

def pyinst.finder.pkgfinder | ( |  | pkgdirs,
|  |  | dir,
|  |  | fnms
| ) |  |

## Variable Documentation

list _bpath = None

dictionary _pcache = {}

tuple _ppath = None

int BINARY = 6

int DATA = 9

int DIRECTORY = 8

int GSCRIPT = 2

int MODULE = 3

int PACKAGE = 4

int PBINARY = 5

int SCRIPT = 1

tuple sysdir = win32api.GetSystemDirectory()

tuple sysdir2 = os.path.join(sysdir, '../SYSTEM')

tuple windir = win32api.GetWindowsDirectory()

int ZLIB = 7

All Classes Namespaces Functions Variables Enumerations Enumerator Properties